<template>
  <lazy-bh-login-forgot-ui @submit="forgotPassword" />
</template>

<script>
export default {
  methods: {
    async forgotPassword(credentials) {
      try {
        await this.$authService.forgotPassword(credentials);
        this.$router.push({ path: '/login/recover' });
      } catch (error) {
        const mid = error.response.status === 500 ? 500 : 'login.forgot.error';
        this.$toast.show(this.$appMessages[mid]);
      }
    },
  },
};
</script>
